=== debian/changelog ===
ros-kinetic-sync-params (1.0.1-0xenial) xenial; urgency=high

  * added tests
  * Merge branch 'master' of https://github.com/NicksSimulationsROS/sync_params
  * cpp time to wall time
  * Update package.xml
  * Update example1.launch
  * Update example2.launch
  * Create README.md
  * first commit
  * Contributors: Nick Sullivan

 -- Nick Sullivan <nick.dave.sullivan@gmail.com>  Sun, 18 Feb 2018 13:30:00 -0000
